commit:     c85c5ac0b722d174bf80171beb8eaf3c16045f56
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 27 17:33:07 2021 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Sun Jun 27 18:14:59 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c85c5ac0

app-shells/pwsh-bin: Import from dotnet repo + 7.1.3 version bump

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-shells/pwsh-bin/Manifest              |  3 +++
 app-shells/pwsh-bin/metadata.xml          | 18 +++++++++++++
 app-shells/pwsh-bin/pwsh-bin-7.1.3.ebuild | 43 +++++++++++++++++++++++++++++++
 3 files changed, 64 insertions(+)

diff --git a/app-shells/pwsh-bin/Manifest b/app-shells/pwsh-bin/Manifest
new file mode 100644
index 00000000000..85bd78acf7c
--- /dev/null
+++ b/app-shells/pwsh-bin/Manifest
@@ -0,0 +1,3 @@
+DIST powershell-7.1.3-linux-arm32.tar.gz 64921375 BLAKE2B 
d4d5eb64bbb88d1e52a10fb95e36005774f3cfb8ed3383702872c0c5fd02b6057615149d00d2410a3a1f7f2f85e99a7329fdb74dbba08c080747905abae66d3f
 SHA512 
3aa77f8f93bf61a8aac9f46c701bcc24822474c42527b4948c7187841d9a94adeb9159e8a35ea156e40d1a7626c813e3364311af87ff2717889cb9544b4ff958
+DIST powershell-7.1.3-linux-arm64.tar.gz 63765497 BLAKE2B 
e42164e80a7576547bca5304181ccf31f43fed971bc02403e0adc400234523d5ee4529367488ad3526594e43d8fbd21b2a804536ea2b21073d8e174280b96dd4
 SHA512 
8fba0cba90a2f8fa073e6a40d69617388b65650e7eea1756962ecb75a14df06dd19d0107d32d94ed53ad9ab79199fbc04b53038303c24f30c286c2f9fcced6b5
+DIST powershell-7.1.3-linux-x64.tar.gz 68289291 BLAKE2B 
6d3f1f61b632728ef0868a82b09f9c33f364b4c4c5869b2d700cdd051109d52f73bfba787be70b6acf53c227eb035786d47ec994a50db8e0a43e17b002a5d478
 SHA512 
7a33c01f8a9de33205c08f7c6833272bb3f33052b8020c0a794e47ec6f6ec971dc41251e4eb7e8d21382099ea127f363242d0d93f4d31aaa6ea87ce955ed0718

diff --git a/app-shells/pwsh-bin/metadata.xml b/app-shells/pwsh-bin/metadata.xml
new file mode 100644
index 00000000000..a5e3c68d397
--- /dev/null
+++ b/app-shells/pwsh-bin/metadata.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>dot...@gentoo.org</email>
+       </maintainer>
+       <upstream>
+               
<changelog>https://github.com/PowerShell/PowerShell/blob/master/CHANGELOG/7.1.md</changelog>
+               <doc>https://powershell.org/free-resources/</doc>
+               
<bugs-to>https://github.com/PowerShell/PowerShell/issues</bugs-to>
+               <remote-id type="github">PowerShell/PowerShell</remote-id>
+       </upstream>
+       <use>
+               <flag name="pwsh-symlink">
+                       Install a pwsh symlink that points to pwsh-bin.
+               </flag>
+       </use>
+</pkgmetadata>

diff --git a/app-shells/pwsh-bin/pwsh-bin-7.1.3.ebuild 
b/app-shells/pwsh-bin/pwsh-bin-7.1.3.ebuild
new file mode 100644
index 00000000000..b3bb0706496
--- /dev/null
+++ b/app-shells/pwsh-bin/pwsh-bin-7.1.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+DESCRIPTION="PowerShell - binary precompiled for glibc"
+HOMEPAGE="https://powershell.org/";
+LICENSE="MIT"
+QA_PREBUILT="*"
+SRC_URI="
+       amd64? ( 
https://github.com/PowerShell/PowerShell/releases/download/v${PV}/powershell-${PV}-linux-x64.tar.gz
 )
+       arm?   ( 
https://github.com/PowerShell/PowerShell/releases/download/v${PV}/powershell-${PV}-linux-arm32.tar.gz
 )
+       arm64? ( 
https://github.com/PowerShell/PowerShell/releases/download/v${PV}/powershell-${PV}-linux-arm64.tar.gz
 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64"
+RDEPEND="
+       app-crypt/mit-krb5:0/0
+       dev-util/lttng-ust:0
+       || ( dev-libs/openssl-compat:1.0.0 =dev-libs/openssl-1.0*:0/0 )
+       sys-libs/pam:0/0
+       sys-libs/zlib:0/1
+       pwsh-symlink? ( !app-shells/pwsh )
+"
+IUSE="+pwsh-symlink"
+REQUIRED_USE="elibc_glibc"
+
+S=${WORKDIR}
+
+src_install() {
+       local dest=opt/pwsh broken_symlinks=(libcrypto.so.1.0.0 
libssl.so.1.0.0) symlink
+       dodir "${dest}"
+
+       for symlink in "${broken_symlinks[@]}"; do
+               [[ -L ${symlink} ]] && { rm "${symlink}" || die; }
+       done
+
+       mv "${S}/"* "${ED}/${dest}/" || die
+       fperms 0755 "/${dest}/pwsh"
+
+       dosym "../../${dest}/pwsh" "/usr/bin/pwsh-bin"
+       use pwsh-symlink && dosym "../../${dest}/pwsh" "/usr/bin/pwsh"
+}

Reply via email to